CFPRIME GETVOL                                                          GETVOL      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE  GETVOL                                                GETVOL      3
CD -------------------------------------------------------------------  GETVOL      4
CD                                                                      GETVOL      5
CD              *****     GETVOL  ROUTINE   *****                       GETVOL      6
CD                                                                      GETVOL      7
CD -------------------------------------------------------------------  GETVOL      8
CD                                                                      GETVOL      9
CD       PURPOSE: This routine will get the ac bus voltages and place   GETVOL     10
CD                them into the appropriate dc arrays for further use.  GETVOL     11
CD                                                                      GETVOL     12
CD                                                                      GETVOL     13
CD       DEFINITION OF LOCAL VARIABLES:                                 GETVOL     14
CD                 I      - 'do' loop index.                            GETVOL     15
CD                                                                      GETVOL     16
CD -------------------------------------------------------------------  GETVOL     17
      INCLUDE 'PARX.INS'                                                GETVOL     18
      INCLUDE 'CNPT.INS'                                                GETVOL     19
      INCLUDE 'CNVOLT.INS'                                              GETVOL     20
      INCLUDE 'CNUNIT.INS'                                              GETVOL     21
      INCLUDE 'UDCF.INS'                                                GETVOL     22
C                                                                       GETVOL     23
      DO 100 J=1,NACTOT                                                 GETVOL     24
      K=IUQABU(J)                                                       GETVOL     25
      DCEA(J)=REAL(VOLT(K))                                             GETVOL     26
      DCEAT(J)=REAL(VOLT(K))                                            GETVOL     27
      DCEB(J)=AIMAG(VOLT(K))                                            GETVOL     28
      DCEBT(J)=AIMAG(VOLT(K))                                           GETVOL     29
  100 CONTINUE                                                          GETVOL     30
C                                                                       GETVOL     31
      RETURN                                                            GETVOL     32
C                                                                       GETVOL     33
C---------------------------------------------------------------------  GETVOL     34
C                                                                       GETVOL     35
      END                                                               GETVOL     36
